Booking Detail Transfers logo icon


The BookingDetail operation allows to retrieve a booking with all its details from the booking reference locator.


BookingDetail Request

Endpoint

GET https://api.test.hotelbeds.com/transfer-api/1.0/bookings/{{language}}/reference/{{booking_reference}}

Request parameters

Parameter

Type

Mandatory

Description

language

String

Y

Requested language code

booking_reference

String

Y

Booking reference number taken from the confirmation response or from the booking list functionFormat: XXX-XXXXXX



BookingDetail Response

The response of BookingDetail provides key information of the booking in the same format as Booking Response, including:

  • Transfer confirmed
  • Rate confirmed with the confirmed amounts and dates
  • Holder and passengers

Information of cancelled bookings can also be retrieved with BookingDetail, although names and surnames of passengers of cancelled bookings are not shown, as cancellation process deletes names of passengers and only passanger types remain in the passenger list of each service.


Response parameters

r>

Node/Attribute

Type

Description

RS Element Top level
RS/bookings Array of booking elements List of bookings.
NOTE: in confirmation step you'll always will receive only one booking in this array.
RS/bookings/booking Element Booking information
RS/bookings/booking/reference String

Booking reference. Format: XXX-XXXXXX

RS/bookings/booking/creationDate Date Booking creation date.
Format: YYYY-MM-DD
RS/bookings/booking/status

Booking status.

  • CONFIRMED
  • CANCELLED
  • MODIFIED
RS/bookings/booking/modificationsPolicies Element Information regarding the allowed modifications to the booking
RS/bookings/booking/modificationsPolicies/cancellation Boolean Indicates if the booking can be cancelled
RS/bookings/booking/modificationsPolicies/modification Boolean Indicates if the booking can be modified
RS/bookings/booking/holder Element Booking lead passenger/holder information
RS/bookings/booking/holder/name String First name of the lead passenger
RS/bookings/booking/holder/surname String Last name of the lead passenger
RS/bookings/booking/holder/email String Lead passenger contact email
RS/bookings/booking/holder/phone String Lead passenger contact phone number
RS/bookings/booking/transfers Array of transfer elements List of reserved transfer services
RS/bookings/booking/transfers/transfer Element Information of one reserved transfer service
RS/bookings/booking/transfers/transfer/id Int Transfer service id code
RS/bookings/booking/transfers/transfer/direction String

Direction of travel. Possible values:

  • DEPARTURE
  • ARRIVAL
RS/bookings/booking/transfers/transfer/status String

Transfer service status.

  • CONFIRMED
  • CANCELLED
RS/bookings/booking/transfers/transfer/transferType String

Transfer type. Possible values:

  • SHARED
  • PRIVATE
RS/bookings/booking/transfers/transfer/vehicle Element Information of the vehicle
RS/bookings/booking/transfers/transfer/vehicle/code String Vehicle code id
RS/bookings/booking/transfers/transfer/vehicle/name String Vehicle name
RS/bookings/booking/transfers/transfer/category Element Service category information
RS/bookings/booking/transfers/transfer/category/code String Category code
RS/bookings/booking/transfers/transfer/category/name String Category name
RS/bookings/booking/transfers/transfer/pickupInformation Element Information regarding the pickUp locations
RS/bookings/booking/transfers/transfer/pickupInformation/from Element Information regarding the pickUp origin location
RS/bookings/booking/transfers/transfer/pickupInformation/from/code String Code of the pickUp origin location
RS/bookings/booking/transfers/transfer/pickupInformation/from/description String Description of the pickUp origin location
RS/bookings/booking/transfers/transfer/pickupInformation/from/type String

PickUp origin location code type. Possible values:

  • GIATA
  • ATLAS
  • IATA
  • PORT
  • STATION
  • GPS
RS/bookings/booking/transfers/transfer/pickupInformation/to Element Information regarding the pickUp destination location
RS/bookings/booking/transfers/transfer/pickupInformation/to/code String Code of the pickUp destination location
RS/bookings/booking/transfers/transfer/pickupInformation/to/description String Description of the pickUp destination location
RS/bookings/booking/transfers/transfer/pickupInformation/to/type String

PickUp destination location code type. Possible values:

  • GIATA
  • ATLAS
  • IATA
  • PORT
  • STATION
  • GPS
RS/bookings/booking/transfers/transfer/pickupInformation/date String Pickup date
RS/bookings/booking/transfers/transfer/pickupInformation/time String Pickup time
RS/bookings/booking/transfers/transfer/pickupInformation/pickup Element Information of the pickup
RS/bookings/booking/transfers/transfer/pickupInformation/pickup/address String Physical address of the pickup
RS/bookings/booking/transfers/transfer/pickupInformation/pickup/number String Number of the address of the pickup
RS/bookings/booking/transfers/transfer/pickupInformation/pickup/town String City name of the address of the pickup
RS/bookings/booking/transfers/transfer/pickupInformation/pickup/zip String Postal code of the address of the pickup
RS/bookings/booking/transfers/transfer/pickupInformation/pickup/description String Pickup description an instrucctions to reach the place
RS/bookings/booking/transfers/transfer/pickupInformation/pickup/altitude String Elevation from sea level
RS/bookings/booking/transfers/transfer/pickupInformation/pickup/latitude String Latitude data for geolocation
RS/bookings/booking/transfers/transfer/pickupInformation/pickup/longitude String Longitude data for geolocation
RS/bookings/booking/transfers/transfer/pickupInformation/pickup/checkPickup Element Further instructions in order to confirm the exact pickup time

RS/bookings/booking/transfers/transfer/pickupInformation/pickup/checkPickup/mustCheckPickupTime

Boolean

Indicates whether the user needs to confirm exact pickup time on external website

RS/bookings/booking/transfers/transfer/pickupInformation/pickup/checkPickup/url String

URL the user needs to visit in order to confirm pickup time

 RS/bookings/booking/transfers/transfer/pickupInformation/pickup/checkPickup/hoursBeforeConsulting Int

Indicates how many hours before the service, the pickup time will be available on the website

RS/bookings/booking/transfers/transfer/pickupInformation/pickup/pickupId Int The information of this tag has been deprecated in the current API, the response will always be null
RS/bookings/booking/transfers/transfer/pickupInformation/pickup/stopName String The information of this tag has been deprecated in the current API, the response will always be null
RS/bookings/booking/transfers/transfer/paxes Array of pax elements Collection of passengers in the reservation
RS/bookings/booking/transfers/transfer/paxes/pax Element Passenger information
RS/bookings/booking/transfers/transfer/paxes/pax/type String

Passenger type. Possible values:

  • ADULT
  • CHILD
  • INFANT
RS/bookings/booking/transfers/transfer/content Element Static information of the transfer service
RS/bookings/booking/transfers/transfer/content/vehicle Element Information of the vehicle used in the transfer service
RS/bookings/booking/transfers/transfer/content/vehicle/code String Vehicle code used in the transfer service
RS/bookings/booking/transfers/transfer/content/vehicle/name String Name of the type of the vehicle used in the transfer service
RS/bookings/booking/transfers/transfer/content/category Element Information of the category of the transfer service
RS/bookings/booking/transfers/transfer/content/category/code String Category code of the transfer service
RS/bookings/booking/transfers/transfer/content/category/name String Category name of the ttransfer service category
RS/bookings/booking/transfers/transfer/content/images Array of image elements List of transfer pictures
RS/bookings/booking/transfers/transfer/content/images/image Element Image information
RS/bookings/booking/transfers/transfer/content/images/image/url String Path of the picture file
RS/bookings/booking/transfers/transfer/content/images/image/type String Type name of the picture. The image size will be unique regardless the value selected
  • SMALL
  • MEDIUM
  • LARGE
  • EXTRALARGE
RS/bookings/booking/transfers/transfer/content/transferDetailInfo Array of transferDetailInfo elements Collection of detailed information about the transfer
RS/bookings/booking/transfers/transfer/content/transferDetailInfo/transferDetailInfo Element Transfer detailed information
RS/bookings/booking/transfers/transfer/content/transferDetailInfo/transferDetailInfo/id String Information id
RS/bookings/booking/transfers/transfer/content/transferDetailInfo/transferDetailInfo/name String Information name
RS/bookings/booking/transfers/transfer/content/transferDetailInfo/transferDetailInfo/description String Details and information on the transfer
RS/bookings/booking/transfers/transfer/content/transferDetailInfo/transferDetailInfo/type String

Transfer detail info type. Possible values:

  • GENERAL_INFO
RS/bookings/booking/transfers/transfer/content/customerTransferTimeInfo Element The information of this tag has been deprecated in the current API, the response will always be null
RS/bookings/booking/transfers/transfer/content/customerTransferTimeInfo Array of Objects A collection of objects related with the maximum waiting time that a clients had to wait the service. In the current version this value will be always delivered null
RS/bookings/booking/transfers/transfer/content/supplierTransferTimeInfo Array of Objects
  • (NEW) A collection of objects related with the maximum waiting time of suppliers in terminals. Can be null if not provided.
RS/bookings/booking/transfers/transfer/content/supplierTransferTimeInfo/value String or Null
  • (NEW) Numeric value associated with the time information (e.g., maximum waiting time). Can be null if not provided.
RS/bookings/booking/transfers/transfer/content/supplierTransferTimeInfo/type String
  • (NEW) Fix name related with the time-related information provided by the supplier.
RS/bookings/booking/transfers/transfer/content/supplierTransferTimeInfo/metric String
  • (NEW) Specifies the unit of measurement for the value (e.g., minutes).
RS/bookings/booking/transfers/transfer/content/supplierTransferTimeInfo/remarks String
  • (NEW) Provides detailed remarks or instructions related to the supplier’s time policy.
RS/bookings/booking/transfers/transfer/content/transferRemarks Element  Transfer service remarks
RS/bookings/booking/transfers/transfer/content/transferRemarks/type String

Remark possible values:

  • CONTRACT
  • AGENCY
RS/bookings/booking/transfers/transfer/content/transferRemarks/description String  Remark content
RS/bookings/booking/transfers/transfer/content/transferRemarks/mandatory Boolean  Mandatory remark
RS/bookings/booking/transfers/transfer/price Element Price information of the transfer service
RS/bookings/booking/transfers/transfer/price/totalAmount Number Total amount of the booking
RS/bookings/booking/transfers/transfer/price/transferAmount Number
  • (NEW) Cost of the base transfer (optional — this field is included only when extras are present).
RS/bookings/booking/transfers/transfer/price/extrasAmount Number
  • (NEW) Cost of all requested extras (optional — this field is included only when extras are present).
RS/bookings/booking/transfers/transfer/price/netAmount Double Net amount of the booking
RS/bookings/booking/transfers/transfer/price/currencyId String Currency
RS/bookings/booking/transfers/transfer/rateKey String Does not apply on Booking response
RS/bookings/booking/transfers/transfer/cancellationPolicies Array of cancellationPolicy elements List of cancellation policies applied to the transfer service
RS/bookings/booking/transfers/transfer/cancellationPolicies/cancellationPolicy Element Information of the cancellation policy
RS/bookings/booking/transfers/transfer/cancellationPolicies/cancellationPolicy/amount Double Amount to be charged in case booking is cancelled after the date specified in the '@from' field.
RS/bookings/booking/transfers/transfer/cancellationPolicies/cancellationPolicy/from String Date from which the amount will be charged, format ISO 8601 (yyyy-MM-ddTHH:mm:ssZ)
RS/services/service/cancellationPolicies/cancellationPolicy/utcOffset String
    (NEW) Cancellation policy responses will now include the UTC offset of the destination
RS/bookings/booking/transfers/transfer/cancellationPolicies/cancellationPolicy/currencyId String Currency
RS/bookings/booking/transfers/transfer/links Array of link elements Information on the navigation links available from the current operation
RS/bookings/booking/transfers/transfer/links/link Element Link information
RS/bookings/booking/transfers/transfer/links/link/rel String Specifies the relationship between the current document and the linked document/resource
RS/bookings/booking/transfers/transfer/links/link/href String Specifies the path of the resource the link goes to
RS/bookings/booking/transfers/transfer/links/link/method String HTTP method
RS/bookings/booking/transfers/transfer/factsheetId Int Content card number associated with the transfer, identifies the relationship between type of vehicle, type of service and type of transfer
RS/bookings/booking/transfers/transferDetails Array of transfer details elements Information about the ride from which the transfer will pick up passengers.
RS/bookings/booking/transfers/transferDetails/transferDetail Element Ride information
RS/bookings/booking/transfers/transferDetails/transferDetail/type String Ride type. Possible values:
  • FLIGHT
  • CRUISE
  • TRAIN
RS/bookings/booking/transfers/transferDetails/transferDetail/direction String Ride direction. Possible values:
  • ARRIVAL
  • DEPARTURE
RS/bookings/booking/transfers/transferDetails/transferDetail/code String Ride identification number(e.g., flight number)
RS/bookings/booking/transfers/transferDetails/transferDetail/companyName String Indicates the name of the company which operates the ride transport. NOTE: Normally used in ship transports.

RS/bookings/booking/transfers/transfer/sourceMarketEmergencyNumber

String

Source market emergency number

RS/bookings/booking/transfers/transfer/links Array of Objects

List of links related to the transfer (e.g., cancellation link).

RS/bookings/booking/transfers/transfer/links/rel String

Relation type that identifies the purpose of the link.

RS/bookings/booking/transfers/transfer/links/href String

RL associated with the action defined by the link.

RS/bookings/booking/transfers/transfer/links/method String

RTTP method to be used when calling the link (e.g., DELETE).

RS/bookings/booking/transfers/transfer/extras Array of Objects
  • (NEW) List of extras included in the booking (optional — shown only when extras exist).
RS/bookings/booking/transfers/transfer/extras/amount Number
  • (NEW) Total cost of the extra requested.
RS/bookings/booking/transfers/transfer/extras/type String
  • (NEW) Description of the extra (e.g., Pushchair).
RS/bookings/booking/transfers/transfer/extras/code String
  • (NEW) API code of the extra.
RS/bookings/booking/transfers/transfer/extras/units Number
  • (NEW) Number of units of the extra requested by the client.
RS/services/service/vouchers Array of voucher elements (NEW) List of links to Hotelbeds' standard voucher. These vouchers are optional and provided for partners who prefer to use Hotelbeds’ standard document instead of generating their own.
RS/services/service/vouchers/voucher Element (NEW) Voucher metadata information.
RS/services/service/vouchers/voucher/url String (NEW) Direct URL to the voucher file.
RS/services/service/vouchers/voucher/mimeType String (NEW) File type of the voucher. Possible values:
  • text/html
  • application/pdf
RS/services/service/vouchers/voucher/dateFrom String (NEW) Start datetime of voucher validity.
RS/services/service/vouchers/voucher/dateTo String (NEW) End datetime of voucher validity.
RS/services/service/vouchers/voucher/language String (NEW) Language of the voucher file (e.g. ENG).
RS/services/service/provider Element (NEW) Information regarding the supplier of the service.
RS/services/service/provider/name String (NEW) Supplier company name.
RS/services/service/provider/emergencyNumber String (NEW) Emergency assistance phone number provided by the supplier.
RS/bookingRS/bookings/booking/clientReference String Client internal booking reference
RS/bookings/booking/remark String Comments.NOTE:The character limit in this field is 2000 characters.
RS/bookings/booking/invoiceCompany Element Element that contains information about the invoice company
RS/bookings/booking/invoiceCompany/code String Code of the invoice company
RS/bookings/booking/supplier Element Supplier information  
RS/bookings/booking/supplier/name String Supplier name
RS/bookings/booking/supplier/vatNumber String Supplier VAT number 
RS/bookings/booking/totalAmount String Total amount
RS/bookings/booking/totalNetAmount String Total net amount
RS/bookings/booking/pendingAmount String Pending amount
RS/bookings/booking/currency String Currency
RS/bookings/booking/transfers/transfer/links Array of link elements Information on the navigation links available from the current operation
RS/bookings/booking/transfers/transfer/links/link Element Link information
RS/bookings/booking/transfers/transfer/links/link/rel String Specifies the relationship between the current document and the linked document/resource
RS/bookings/booking/transfers/transfer/links/link/href String Specifies the path of the resource the link goes to
RS/bookings/booking/transfers/transfer/links/link/method String HTTP method